Bug 167066 - xen: include/asm is a bad symlink
xen: include/asm is a bad symlink
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Rik van Riel
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 18:05 EDT by Chris Feist
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-29 01:59:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Feist 2005-08-29 18:05:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
The following paths have bad symlink locations which causes my GFS/CS builds to fail.

ls -ld /usr/src/kernels/2.6.12-1.1447_FC4xen*/include/asm
lrwxrwxrwx  1 root root 76 Aug 29 16:13 /usr/src/kernels/2.6.12-1.1447_FC4xen0-i686/include/asm -> /usr/src/build/607389-i686/BUILD/kernel-2.6.12/linux-2.6.12/include/asm-i386
lrwxrwxrwx  1 root root 76 Aug 29 16:16 /usr/src/kernels/2.6.12-1.1447_FC4xenU-i686/include/asm -> /usr/src/build/607389-i686/BUILD/kernel-2.6.12/linux-2.6.12/include/asm-i386


It appears to be an artifact of building in beehive.


Version-Release number of selected component (if applicable):
kernel-xenU-devel-2.6.12-1.1447_FC4

How reproducible:
Always

Steps to Reproduce:
1.  Install the kernel-xen{U,0}-devel-2.6.12-1.1447_FC4 packages
2.  ls -ld /usr/src/kernels/2.6.12-1.1447_FC4xen*/include/asm

  

Actual Results:  Lists the bad symlinks.

Expected Results:  Should have seen good symlinks (ie. symlinks that point to files that exist on my system.)

Additional info:
Comment 1 Michael Young 2005-08-31 09:37:41 EDT
The symbolic link
/usr/src/kernels/2.6.12-1.1447_FC4-xenU-i686/include/asm-xen/asm is similarly
broken.
Comment 2 Dave Jones 2005-11-10 16:58:13 EST
Mass update to all FC4 bugs:

An update has been released (2.6.14-1.1637_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.

Comment 3 Joost van der Locht 2006-01-03 14:19:08 EST
The symbolic link in the package kernel-xen0-devel and kernel-xenU-devel
(version 2.6.13-1.1532_FC4) is also broken.
Comment 4 Joost van der Locht 2006-01-03 14:20:44 EST
(In reply to comment #2)
> Mass update to all FC4 bugs:
> 
> An update has been released (2.6.14-1.1637_FC4) which rebases to a new upstream
> kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
> previous kernel, it's possible your bug has been fixed already.
> 
> Please retest with this update, and update this bug if necessary.
> 
> Thanks.
> 
> 

This doesn't include the xen software. So this isn't usefull

Comment 5 Dave Jones 2006-02-03 01:18:02 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 Dave Jones 2006-07-29 01:59:07 EDT
The xen in FC4 is horribly broken, and needs quite a lot of attention to fix up.
 At this stage, a better use of time is stabilising the FC5/FC6 xen due to lack
of resources.

Note You need to log in before you can comment on or make changes to this bug.